View Issue Details

IDProjectCategoryView StatusLast Update
0002443SymmetricDSBugpublic2016-01-03 16:44
ReporterelongAssigned Toelong 
PrioritynormalSeveritymajorReproducibilitysometimes
Status closedResolutionfixed 
Product Version3.7.3 
Target Version3.7.28Fixed in Version3.7.28 
Summary0002443: Node communication stops running a push thread for a node
DescriptionSymmetricDS uses a pool of threads managed by the node communication service, which uses the sym_node_communication table to lock which nodes are being communicated with. There are reports of the push job running, but a node is not pushed to even when the lock in sym_node_communication is available. The service keeps a map of which nodes are locked to minimize hitting the database (introduce by issue 0002155 for 3.7.3). The theory on the defect is that the map is not getting updated to remove a node.
Steps To ReproduceSetup master node with 10 client nodes to push to. After about a day, one of the nodes will get "stuck". You can see the nodeId in the currentlyExecuting map of NodeCommunicationService.
TagsNo tags attached.

Activities

elong

2015-11-23 09:03

developer   ~0000732

Defensive code fix did not stop the issue in 3.7.27, so let's try again.

Related Changesets

SymmetricDS: 3.7 a16e18f5

2015-11-13 15:57:54

admin

Details Diff
0002443: Node communication stops running a push thread for a node
0002443
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeCommunicationService.java Diff File

SymmetricDS: 3.7 3e293776

2015-11-23 13:05:36

admin

Details Diff
0002443: Node communication stops running a push thread for a node
0002443
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeCommunicationService.java Diff File

Issue History

Date Modified Username Field Change
2015-11-10 13:00 elong New Issue
2015-11-10 13:00 elong Status new => assigned
2015-11-10 13:00 elong Assigned To => elong
2015-11-13 16:05 elong Status assigned => resolved
2015-11-13 16:05 elong Fixed in Version => 3.7.27
2015-11-13 16:05 elong Resolution open => fixed
2015-11-13 17:00 admin Changeset attached => SymmetricDS 3.7 a16e18f5
2015-11-17 16:02 chenson Status resolved => closed
2015-11-23 09:03 elong Note Added: 0000732
2015-11-23 09:03 elong Status closed => feedback
2015-11-23 09:03 elong Resolution fixed => reopened
2015-11-23 09:04 elong Status feedback => assigned
2015-11-23 09:04 elong Fixed in Version 3.7.27 =>
2015-11-23 09:04 elong Target Version 3.7.27 => 3.7.28
2015-11-23 09:04 elong Product Version 3.7.24 => 3.7.3
2015-11-23 14:00 admin Changeset attached => SymmetricDS 3.7 3e293776
2015-11-23 15:37 elong Resolution reopened => fixed
2015-11-23 15:37 elong Fixed in Version => 3.7.28
2015-11-23 15:37 elong Steps to Reproduce Updated View Revisions
2015-11-23 15:38 elong Status assigned => resolved
2016-01-03 16:44 chenson Status resolved => closed